
QGIS Application - Feature request #7813

QGIS Blend Mode - Cut

2013-05-13 12:00 AM - Patrice Vetsel -

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16701

Description

I need this "blend" mode :

    -  cut

Using atlas generation, i need to have a cut blend mode to use a layer to select what to print or not.

History

#1 - 2013-05-13 12:01 AM - Nathan Woodrow

Is this like a mask?  If not could you provide an example.

#2 - 2013-05-13 12:02 AM - Patrice Vetsel -

- Target version set to Version 2.0.0

#3 - 2013-05-13 12:56 AM - Patrice Vetsel -

- File un.JPG added

#4 - 2013-05-13 12:57 AM - Patrice Vetsel -

- File deux.JPG added

#5 - 2013-05-13 12:57 AM - Patrice Vetsel -

- File trois.JPG added

#6 - 2013-05-13 12:57 AM - Patrice Vetsel -

- File quatre.JPG added

#7 - 2013-05-13 12:58 AM - Patrice Vetsel -

- File cinq.JPG added

#8 - 2013-05-13 01:00 AM - Nathan Woodrow

So it would be like these

http://mapbox.com/tilemill/docs/guides/comp-op/#alpha_blending

#9 - 2013-05-13 01:06 AM - Patrice Vetsel -

un.jpg

my desktop with layers. I will use 'Armoires" layer as layer for atlas generation

deux.jpg
http://mapbox.com/tilemill/docs/guides/comp-op/#alpha_blending


the print composer

trois.jpg

one of the exported with atlas generation

quatre.jpg

same pdf but with 'Armoires' layer visible

cinq.jpg

the result of what I want. 'Armoires' is set to invisible, and I use the 'Cut' mode

In fact, this Cut mode could be also used under desktop to hide informations not needed. I know that I can use vector tools to draw a big polygone,

substract my 'Armoires' layer from it  and use it as a mask. But it's complicated and not ergonomic. A simple 'Cut' mode will be great !

#10 - 2013-05-13 01:10 AM - Patrice Vetsel -

Nathan Woodrow wrote:

So it would be like these

http://mapbox.com/tilemill/docs/guides/comp-op/#alpha_blending

In fat yes ! It's Src-in and Src-out in alpha blending

#11 - 2013-06-04 09:13 PM - Nyall Dawson

- Assignee set to Nyall Dawson

#12 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#13 - 2014-09-07 04:47 AM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#14 - 2014-10-16 11:05 PM - Andreas Neumann

Can we close this feature request now that we have the inverted polygon renderer - which is even more powerful than what you ask for?

#15 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#16 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown

#17 - 2018-04-18 03:23 AM - Harrissou Santanna

- Description updated

- Status changed from Open to Feedback

Close?
2025-05-17 2/3

http://mapbox.com/tilemill/docs/guides/comp-op/#alpha_blending


un.JPG 194 KB 2013-05-12 Patrice Vetsel -

deux.JPG 109 KB 2013-05-12 Patrice Vetsel -

trois.JPG 174 KB 2013-05-12 Patrice Vetsel -

quatre.JPG 141 KB 2013-05-12 Patrice Vetsel -

cinq.JPG 159 KB 2013-05-12 Patrice Vetsel -
